@import "variables";
@import "node_modules/compass-mixins/lib/compass/css3/images";
@import "node_modules/compass-mixins/lib/compass/css3/border-radius";
/////
.nav-main li ul li a:before,
.nav-main li.has-sub > a:before{
    font-family: FontAwesome;
    font-weight: normal;
    font-style: normal;
    display: inline-block;
    text-align: center;
    text-decoration: none;
    background: none;
    speak: none;
    -webkit-font-smoothing: antialiased;
}
.top-info{
  .btn{
    margin-top: 5px;
    float: inherit !important;
  }
  .button-change-avatar{
    
    input[type="file"]{
      display: none;
    }
  }
}
.btn{
  margin: 3px;
}
.panel-footer {
    padding: 10px 15px;
    background-color: #f5f5f500;
    border-top: 1px solid #ddd0;
    border-bottom-right-radius: 3px;
    border-bottom-left-radius: 3px;
}
.thumbnail-post-preview{
  span{
      display: block;
      background: #f8f8f8;
      border: 1px dashed #def7ff;
  }
  button{
      display: block;
      text-align: center;
      width: 100%;
  }
}
.rto-thumbnail {
  display: inline-block;
  position: relative;
  padding-bottom: 56.25%;
  /* 16:9 */
  padding-top: 25px;
  height: 0;
  width: 100%;
  span {
      position: absolute;
      top: 0;
      left: 0;
      width: 100%;
      background-size: cover !important;
      background-position: center center !important;
      height: 100%;
  }
}

/////////
.deadline{
  padding-left: 0px !important;
  padding-right: 0px !important;
}
//////// COMMENTS /////////
.comments{
  max-width: 740PX;
    .text{
      p{
        display: inline-block;
        width: 100%;
      }
    }
  .comment{
    position: relative;
    background: 0 0;
    margin: .5em 0 0;
    padding: .5em 0 0;
    border: none;
    border-top: none;
    line-height: 1.2;
    width: 100%;
    float: left;
    .avatar{
      float: left;
      display: block;
      width: 2.5em;
      height: auto;
      float: left;
      margin: .2em 0 0;
      img{
        max-width: 50px;
      }
    }
    .content{
      margin-left: 30px;
      float: left;
      display: inline-block;
      width: 600px;
      position: absolute;
      .comment-box{
        .form-control{
          display: inline-block;
          float: left;
          position: relative;
        }
        a{
          float: right;
          display: inline-block;
          position: absolute;
          padding: 6px;
        }
      }
    }
    .metadata{
      display: inline-block;
      margin-left: .5em;
      color: rgba(0,0,0,.4);
      font-size: .875em;
      .date{
      display: inline-block;
      margin: 0 .5em 0 0;
      margin-right: 0;
      }
      .rating{
        display: inline-block;
        margin-left: 10px;
        i{
          margin-right: 0 !important;
        }
      }
    }
    .actions{
      .reply{
        cursor: pointer;
        display: inline-block;
        margin: 0 .75em 0 0;
        color: rgba(0,0,0,.4);
      }
    }
    .text{
      margin: .25em 0 .5em;
      font-size: 1em;
      word-wrap: break-word;
      color: rgba(0,0,0,.87);
      line-height: 1.3;
    }
    .comments{
      padding-left: 25px;
    }
  }
 
  
}
#comments{
  .form {
    margin-top: 10px;
    display: block;
    float: left;
    width: 100%;
    .field{
      textarea {
        font-size: 1em;
        height: 12em;
      }
      textarea:not([rows]) {
        height: 12em;
        min-height: 8em;
        max-height: 24em;
      }
      textarea {
        margin: 0;
        -webkit-appearance: none;
        padding: .78571429em 1em;
        background: #fff;
        border: 1px solid rgba(34,36,38,.15);
        outline: 0;
        color: rgba(0,0,0,.87);
        border-radius: .28571429rem;
        -webkit-box-shadow: 0 0 0 0 transparent inset;
        box-shadow: 0 0 0 0 transparent inset;
        -webkit-transition: color .1s ease,border-color .1s ease;
        transition: color .1s ease,border-color .1s ease;
        font-size: 1em;
        line-height: 1.2857;
        resize: vertical;
      }
      textarea {
        width: 100%;
        vertical-align: top;
      }
      textarea {
        overflow: auto;
        font-family: sans-serif;
        font-size: 100%;
        line-height: 1.15;
        margin: 0;
      }
    }
      .button{
        width: 125px;
        padding: 2px;
        border-radius: 5px;
        margin: 10px;
        font-weight: 600;
        background-color: #2072af;
        color: #fff;
        text-shadow: none;
        .glyphicon-edit{
          background-color: #054e8640;
          padding: 10px;
        }
      }
      .button:hover{
        background-color: #1678c2;
      }
  }
}
.action-comments{
  display: none;
  float: right;
  position: absolute;
  i{
    font-size: 15px;
  }
  ul{
    padding: 5px;
    li{
      list-style: none;
    }
  }
}
.comments{
  .comment{
    padding-top: 20px;
    .text:hover{
      .action-comments{
        display: inline-block;
      }
    }
  } 
}
//////////# COMMENTS ////////
/// Issue //
.issues{
  padding: 10px 0px 10px 0px !important;
}
.issues-right{
  padding-left: 10px !important;
}
/// #endIssue //
h2 {
  text-transform: uppercase;
  color: $color-danger;
  font-size: 15.75pt;
  margin-bottom: 0;
}

.to-uppercase {
  text-transform: uppercase;
}

.to-uppercase input, .to-uppercase textarea {
  text-transform: uppercase;
}

.row {
  margin-right: -2.5px;
  margin-left: -2.5px;
}

.col-lg-1, .col-lg-10, .col-lg-11, .col-lg-12, .col-lg-2, .col-lg-3, .col-lg-4, .col-lg-5, .col-lg-6, .col-lg-7, .col-lg-8, .col-lg-9, .col-md-1, .col-md-10, .col-md-11, .col-md-12, .col-md-2, .col-md-3, .col-md-4, .col-md-5, .col-md-6, .col-md-7, .col-md-8, .col-md-9, .col-sm-1, .col-sm-10, .col-sm-11, .col-sm-12, .col-sm-2, .col-sm-3, .col-sm-4, .col-sm-5, .col-sm-6, .col-sm-7, .col-sm-8, .col-sm-9, .col-xs-1, .col-xs-10, .col-xs-11, .col-xs-12, .col-xs-2, .col-xs-3, .col-xs-4, .col-xs-5, .col-xs-6, .col-xs-7, .col-xs-8, .col-xs-9 {
  padding-left: 15px;
  padding-right: 15px;
}

.margin-left {
  margin-left: 10px;
}

.margin-bottom {
  margin-bottom: 15px !important;;
}

.margin-bottom20 {
  margin-bottom: 20px !important;
}


.no-padding {
  padding: 0 !important;
}

.no-padding-top {
  padding-top: 0 !important;
}

.no-margin-bottom {
  margin-bottom: 0;
}

.margin-right {
  margin-right: 15px;
}

.margin-top {
  margin-top: 15px;
}

.table-list-head {
  background-color: $color-light;
  padding: 3px 0px;
  margin-bottom: 0;
  .form-inline{
    label{
      margin-right: 5px;
      display: inline-block;
    }
  }
}

.color-white {
  color: $color-light !important;
}

.color-danger {
  color: $color-danger !important;
}

.border-color-danger {
  border-color: $color-danger !important;
}

.font-weight-bold {
  font-weight: bold;
}

.font-weight-bolder {
  font-weight: bolder;
}

.no-margin-left {
  margin-left: 0 !important;
}

.spinner {
  margin: 100px auto 0;
  width: 70px;
  text-align: center;
}

.spinner > div {
  width: 18px;
  height: 18px;
  background-color: #333;

  border-radius: 100%;
  display: inline-block;
  -webkit-animation: sk-bouncedelay 1.4s infinite ease-in-out both;
  animation: sk-bouncedelay 1.4s infinite ease-in-out both;
}

.spinner .bounce1 {
  -webkit-animation-delay: -0.32s;
  animation-delay: -0.32s;
}

.spinner .bounce2 {
  -webkit-animation-delay: -0.16s;
  animation-delay: -0.16s;
}

.default-pointer{
  cursor: default !important;
}

.showing {
  font-weight: normal;
  margin-right: 5px;
  line-height: 30px;
  color: $color-black;
}

.process {
  width: 100%;
  .success-progress {
    background-color: #00A000;
    height: 10px;
    float: left;
  }
  .remain-progress {
    background-color: $color-danger;
    height: 10px;
    float: right;
  }
}


//table
.table-style1 {
  background-color: lighten($color-gray-lightest, 35%);
  margin-bottom: 2.5px !important;
  .table {
    border: 1px solid lighten($color-gray-lightest, 35%);
    background-color: $color-light !important;
    .form-group {
      margin-bottom: 0;
    }
  }
  thead {
    th {
      color: $color-gray-lightest;
     
      font-weight: 600;
      text-align: left;
      padding: 5px !important;
      padding-right: 15px !important;
      vertical-align: middle;
      text-overflow: ellipsis;
      line-height: 11px;
      border-bottom-width: 1px !important;
      input[type=checkbox] {
        margin-top: 0 !important;
      }
      &.sorting {
        background: url('/assets/images/sort_both.png');
        background-repeat: no-repeat;
        background-position: center right;
        cursor: pointer;
      }
      &.sorting-asc {
        background: url('/assets/images/sort_asc.png');
        background-repeat: no-repeat;
        background-position: center right;
        cursor: pointer;
      }
      &.sorting-desc {
        background: url('/assets/images/sort_desc.png');
        background-repeat: no-repeat;
        background-position: center right;
        cursor: pointer;
      }
      &.column-checkbox {
        width: 25px;
        padding-right: 0 !important;
      }
    }
  }
  tbody {
    tr {
      td {
       
        padding: 5px !important;
        line-height: 14px;
        color: $color-gray-light;
        border: none;
        vertical-align: middle;
        input[type=checkbox] {
          margin-top: 0 !important;
        }
        &.add-more {
          cursor: pointer;
          i {
            margin-right: 0;
            color: $color-active;
            font-size: 18px;
          }
          &:hover {
            i {
              color: darken($color-active, 10%);
            }
          }
        }
      }
      &.highlight {
        cursor: pointer;
        td {
          background-color: $color-active;
          color: $color-light;
        }
      }
      &:nth-of-type(odd) {
        background-color: lighten($color-gray-lightest, 49%);;
      }
    }
  }
}

.table-style2 {

  margin-bottom: 2.5px !important;

  .table {

    .form-group {
      margin-bottom: 0;
    }

    .error-style {
      &::after {
        bottom: 6px;
        right: 4px;
      }

      .error {
        bottom: 31px !important;
        right: 5px;
      }
    }
  }
  thead {

    th {
      color:#fff;
      padding: 8px 15px 8px 5px !important;
      text-align: left;
      vertical-align: middle;
      text-overflow: ellipsis;
      border-bottom-width: 1px !important;
      input[type=checkbox] {
        margin-top: 0 !important;
      }
      &.column-checkbox {
        width: 25px;
        padding-right: 0 !important;
      }
    }
  }
  tbody {
    tr {
      td {
       
        line-height: 14px;
        overflow: hidden;
        text-overflow: ellipsis;
        color: $color-gray-light;
        vertical-align: middle;
        padding:5px 5px;
        input[type=checkbox] {
          margin-top: 0 !important;
        }
        &.add-more {
          cursor: pointer;
          i {
            margin-right: 0;
            color: $color-active;
            font-size: 18px;
          }
          &:hover {
            i {
              color: darken($color-active, 10%);
            }
          }
        }
      }
      &.highlight {
        cursor: pointer;
        td {
          background-color: $color-active;
          color: $color-light;
        }
      }

    }


    &.type-table {
      border-top: none;

      tr {
        background-color: inherit;
      }
    }
  }
}

.table > thead > tr > th, .table > tbody > tr > th, .table > tfoot > tr > th{
  font-family: Arial,"Open Sans", "Helvetica Neue", Helvetica, sans-serif !important;
}

.table-style3 {
  background-color: lighten($color-gray-lightest, 35%);
  margin-bottom: 2.5px !important;
  .table {
    border: 1px solid lighten($color-gray-lightest, 35%);
    background-color: $color-light !important;
    .form-group {
      margin-bottom: 0;
      &.error-style {
        &:after {
          bottom: 6px !important;
        }
      }
    }
  }
  thead {
    th {
      color: $color-gray-lightest;
     
      font-weight: 600;
      text-align: left;
      padding-right: 15px !important;
      vertical-align: middle;
      text-overflow: ellipsis;
      line-height: 11px !important;
      border-bottom-width: 1px !important;
      input[type=checkbox] {
        margin-top: 0 !important;
      }
      &.sorting {
        background: url('/assets/images/sort_both.png');
        background-repeat: no-repeat;
        background-position: center right;
        cursor: pointer;
      }
      &.sorting-asc {
        background: url('/assets/images/sort_asc.png');
        background-repeat: no-repeat;
        background-position: center right;
        cursor: pointer;
      }
      &.sorting-desc {
        background: url('/assets/images/sort_desc.png');
        background-repeat: no-repeat;
        background-position: center right;
        cursor: pointer;
      }
      &.column-checkbox {
        width: 25px;
        padding-right: 0 !important;
      }
    }
  }
  tbody {
    tr {
      td {
       
        padding: 5px !important;
        line-height: 14px;
        color: $color-gray-light;
        border-color: lighten($color-gray-lightest, 30%);
        vertical-align: middle;
        input[type=checkbox] {
          margin-top: 0 !important;
        }
        &.add-more {
          cursor: pointer;
          i {
            margin-right: 0;
            color: $color-active;
            font-size: 18px;
          }
          &:hover {
            i {
              color: darken($color-active, 10%);
            }
          }
        }
        table {
          border: none;
          tr {
            td {
              &.column-checkbox {
                width: 28px;
              }
            }
          }
        }
        &.no-padding {
          padding: 0 !important;
        }
      }
      &.highlight {
        cursor: pointer;
        td {
          background-color: $color-active;
          color: $color-light;
        }
      }
      &:nth-of-type(odd) {
        background-color: lighten($color-gray-lightest, 49%);;
      }
    }
  }
}

.table-style4 {
  .table {
    background-color: $color-light !important;
    .form-group {
      margin-bottom: 0;
    }
  }
  thead {
    th {
      border-top-color: $color-light;
      background-color: $color-active;
      color: $color-light;
     
      font-weight: 600;
      text-align: left;
      padding: 5px !important;
      padding-right: 15px !important;
      vertical-align: middle;
      text-overflow: ellipsis;
      line-height: 11px;
      border-bottom-width: 1px !important;
      input[type=checkbox] {
        margin-top: 0 !important;
      }
      &.sorting {
        background: url('/assets/images/sort_both.png');
        background-repeat: no-repeat;
        background-position: center right;
        cursor: pointer;
      }
      &.sorting-asc {
        background: url('/assets/images/sort_asc.png');
        background-repeat: no-repeat;
        background-position: center right;
        cursor: pointer;
      }
      &.sorting-desc {
        background: url('/assets/images/sort_desc.png');
        background-repeat: no-repeat;
        background-position: center right;
        cursor: pointer;
      }
      &.column-checkbox {
        width: 25px;
        padding-right: 0 !important;
      }
    }
  }
  tbody {
    tr {
      td {
       
        padding: 5px !important;
        line-height: 14px;
        color: $color-gray-light;
        vertical-align: middle;
        input[type=checkbox] {
          margin-top: 0 !important;
        }
        &.add-more {
          cursor: pointer;
          i {
            margin-right: 0;
            color: $color-active;
            font-size: 18px;
          }
          &:hover {
            i {
              color: darken($color-active, 10%);
            }
          }
        }
      }
      &.highlight {
        cursor: pointer;
        td {
          background-color: $color-active;
          color: $color-light;
        }
      }
      &:nth-of-type(odd) {
        background-color: lighten($color-gray-lightest, 49%);;
      }
    }
  }
  .footer-table {
    padding: 5px;
  }
}

.disabled {
  background-color: #e0e0e0 !important;
}

.editable {
  td {
    &.autocomplete-style {
      position: relative;
      .list-group {
        position: absolute;
        max-height: 200px;
        overflow-y: auto;
        overflow-x: hidden;
        z-index: 9999;
        padding: 0;
        background-color: $color-light;
        max-width: 100%;
        .create-item {
          padding: 5px 10px;
          color: lighten($color-primary, 40%);
          display: block;
          &:hover {
            background-color: $color-primary;
            color: $color-light;
          }
        }
        .list-group-item {
          padding: 5px;

        }
      }
      .waiting {
        position: absolute;
        right: 3px;
        top: 0;
      }
    }
  }
  .error-style {
    &:after {
      bottom: 6px;
    }
  }
}

.auto-style {
  .list-group {
    position: absolute;
    width: 100%;
    z-index: 9999;
    max-height: 300px;
    overflow: scroll;
    overflow-x: hidden;
    a {
      padding: 5px;
     
    }
  }
}

.cursor-link {
  cursor: pointer;
}

.btn .caret{
  margin-left: 4px;
}

.badge-success {
  color: #fff;
  background-color: #28a745;
}
.badge-danger {
  color: #fff;
  background-color: #dc3545;
}

.export {
  .label-export {
    vertical-align: top;
    padding-top: 5px;
    font-weight: normal;
    
    color: $color-black;
  }
  .csv, .pdf, .excel {
    background: url('/assets/images/export-file.png') no-repeat;
    width: 25px;
    height: 25px;
    background-size: 100px auto;
    cursor: pointer;
    margin-left: 10px;
    display: inline-block;
  }
  .pdf {
    background-position: -71px;
  }
  .excel {
    background-position: -34px;
  }
}

@-webkit-keyframes sk-bouncedelay {
  0%, 80%, 100% {
    -webkit-transform: scale(0)
  }
  40% {
    -webkit-transform: scale(1.0)
  }
}

@keyframes sk-bouncedelay {
  0%, 80%, 100% {
    -webkit-transform: scale(0);
    transform: scale(0);
  }
  40% {
    -webkit-transform: scale(1.0);
    transform: scale(1.0);
  }
}

.autocomplete {
  z-index: 9999;
  background-color: $color-light;
  min-width: 100%;
  max-width: 100%;
  max-height: 160px;
  overflow-y: auto;
  cursor: default;
  padding: 0;
  margin-top: 2px;
  list-style: none;
  border-radius: 5px;
  -webkit-box-shadow: 0 5px 10px rgba(0, 0, 0, 0.2);
  -moz-box-shadow: 0 5px 10px rgba(0, 0, 0, 0.2);
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.2);
  border: none;
  li {
    padding: 5px;
    border-bottom: 1px solid lighten($color-gray-lightest, 40%);

    &:hover {
      background-color: #DDD;
    }
  }
  &.no-min-width {
    min-width: auto !important;
  }
}

.form-control-feedback{
  height: auto;
  width: auto;
  line-height: 0;
  right: 7px;
  top: inherit;
  bottom: 13px;
}

.toogle {
  display: block;
}


.search-form {

  padding: 5.5px 5px;
  background-color: #f5f5f5;

  form{
    display: flex;
  }

  label {
    color: $color-gray-lightest;
    font-weight: 500;
    width: 100%;
  }

  .btn-toolbar{}

  .form-group {
    margin-right: 5px !important;
    .form-control {
      width: 100%;

      color: $color-gray-lightest;
      padding: 1px 6px;

      &::-webkit-input-placeholder {
        font-style: italic;
      }
      &.no-value {
        font-style: italic;
      }

    }
  }


  &.eight-column {
    .form-group {
      width: calc(100% / 8 - 4.4px);
      &:nth-child(8n) {
        margin-right: 0 !important;
      }
    }
  }
  &.seven-column {
    .form-group {
      width: calc(100% / 7 - 4.4px);
      &:nth-child(7n) {
        margin-right: 0 !important;
      }
    }
  }
  &.six-column {
    .form-group {
      width: calc(100% / 6 - 4.2px);
      &:nth-child(6n) {
        margin-right: 0 !important;
      }
    }
  }
  &.five-column {
    .form-group {
      width: calc(100% / 5 - 4px);
      &:nth-child(5n) {
        margin-right: 0 !important;
      }
    }
  }
  &.four-column {
    .form-group {
      width: calc(100% / 4 - 4px);
      &:nth-child(4n) {
        margin-right: 0 !important;
      }
    }
  }
  &.three-column {
    .form-group {
      width: calc(100% / 3 - 4px);
      &:nth-child(3n) {
        margin-right: 0 !important;
      }
    }
  }
  &.two-column {
    .form-group {
      width: calc(100% / 2 - 3px);
      &:nth-child(2n) {
        margin-right: 0 !important;
      }
    }
  }
}


.area-block {
  padding: 5px 0;
  background-color: $color-light;
  margin-bottom: 3px;
}

.error-style {
  position: relative;
  .error {
    display: none;
    position: absolute;
    bottom: 26px !important;
    background-color: lighten($color-danger, 45%);
    border: 1px solid lighten($color-danger, 35%);
    color: $color-danger;
    left: 0;
    padding: 5px;
    white-space: nowrap;
    z-index: 9999;
    span {
      display: block;
    }
  }
  .form-control {
    border-color: $color-danger;
    position: relative;
  }
  &:active, &:hover, &:focus {
    .error {
      display: block !important;
    }
  }
  &::after {
    content: "\e07c" !important;
    font-family: simple-line-icons;
    color: $color-danger;
    position: absolute;
    bottom: -2px;
    right: 5px;
    font-size: 17px;
    z-index: 2;
    rotation: 90deg;
  }
}

.width25 {
  width: 25px;
}

.width55 {
  width: 55px;
}

.width60 {
  width: 60px;
}

.width65 {
  width: 65px;
}

.width70 {
  width: 70px;
}

.width80 {
  width: 80px;
}

.width90 {
  width: 90px;
}

.width100 {
  width: 100px;
}

.width120 {
  width: 120px;
}

.width150 {
  width: 150px;
}

.width170 {
  width: 170px;
}

.width200 {
  width: 200px;
}

.width250 {
  width: 250px;
}

.width300 {
  width: 300px;
}

.margin-top5 {
  margin-top: 5px !important;
}

.margin-top15 {
  margin-top: 15px !important;
}

.margin-top20 {
  margin-top: 20px !important;
}

.margin-top22 {
  margin-top: 22px !important;
}

.margin-top23 {
  margin-top: 22px !important;
}

.nowrap {
  white-space: nowrap !important;
}

.break-word {
  word-break: break-word;
}

.panel-style {
  border: 1px solid $color-border;
  margin-bottom: 5px;
  .panel-title-top {
    background-color: $color-light;
    padding: 5px;
    color: $color-active;

  }
  .panel-default {
    border-radius: 0;
    margin-top: 0 !important;
    border: none;
    .panel-heading {
      padding: 10px 5px;
    }
    h4 {
      margin-top: 0;
      cursor: pointer;
      color: $color-sidebar;
      margin-bottom: 0;
      font-weight: 500;
    }
    .panel-body {
      padding: 0;
    }
  }
  .panel-collapse {
    padding: 5px;
    .table {
      margin-bottom: 0;
    }
  }
}

/*Fix Ag-grid position by Huy*/
.table > thead > tr > td {
  padding: 5px;
}

.small-padding-table > tbody > tr > td, .small-padding-table > tbody > tr > th, .small-padding-table > tfoot > tr > td, .small-padding-table > tfoot > tr > th, .small-padding-table > thead > tr > th {
  padding: 2.5px;
}

.small-padding-table {
  .form-group {
    margin-bottom: 0;
  }
}

//style tam
.table-style-01 {
  background-color: $color-light !important;
  .error-style::after {
    bottom: 6px;
    right: 15px;
  }
  .error {
    bottom: 34px;
    right: 8px
  }
}

.seach-input {
  position: relative;
  .btn {
    position: absolute;
    top: 0;
    right: 0;
    padding: 3px 7px;
    i {
      margin-right: 0;
    }
  }
}

.non-border {
  border: none !important;
}

.creatWorkOrder {
  h4 {
    color: white;
  }
}

.float-none {
  float: none !important;
}

.no-rows {
  color: #ffffff;
}

.line-height13 {
  line-height: 13px;
}

.color-gray {
  color: $color-gray;
  .showing {
    color: $color-gray;
  }
}

textarea.form-control{
}

.fake-input {
  background: none;
  border: none;
}

.greenCheck {
  color: #36c6d3 !important;
}

.color-primary {
  color: $color-primary;
}

.loader {
  display: none;
  color: #000;
  position: fixed;
  box-sizing: border-box;
  left: -9999px;
  top: -9999px;
  width: 0;
  height: 0;
  overflow: hidden;
  z-index: 999999;
}

.loader:after,
.loader:before {
  box-sizing: border-box
}

.loader.is-active {
  display: block;
  background-color: rgba(0, 0, 0, 0.5);
  width: 100%;
  height: 100%;
  left: 0;
  top: 0
}

.sk-wave {
  position: fixed;
  top: calc(50% - 50px);
  left: calc(50% - 20px);
}

.sk-wave .sk-rect {
  background-color: #306095 !important;
}

#toasty .toast {
  width: auto;
  height: auto;
  min-width: 500px;
  min-height: 35px;
}

#toasty .toast .toast-text {
  padding: 5px 35px 5px 50px;
}

#toasty .toast .close-button {
  right: 15px;
}

.col-edit-inline {
  .form-control {
    border: none;
    background: none;
  }
}

.ag-font-style {
  cursor: default;
  -webkit-user-select: text;
  -moz-user-select: text;
  -ms-user-select: text;
  user-select: text;
}


.file-input input {
  display: inline;
}
.griditem {
  padding: 10px;
}

.griditem .row {
  display: flex;
  width: 95%;
}

.griditem .row div {
  border-left: 1px solid #ccc;
  border-top: 1px solid #ccc;
  padding: 3px 6px;
  width: 16.6666%;
}
.griditem .row div:last-child {
  border-right: 1px solid #ccc;
}

.griditem .row:last-child div {
  border-bottom: 1px solid #ccc;
}
.griditem .row div span {
  font-weight: bold;
  padding-left: 10px;
}

input[type=number]::-webkit-inner-spin-button,
input[type=number]::-webkit-outer-spin-button {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  margin: 0;
}

.input-group-upload{
  input[type='file']{
    display: none !important;
  }
}

.color-active{
  color: $color-active !important;
}

.modal-body{
  max-height: 450px;
  overflow: auto;
}

#addRoute .modal-content{
  .modal-body{
    overflow: auto;
  }
}

.content-setting{
  padding-left: 35px;
}

ss-multiselect-dropdown{
  .dropdown-item{
    display: block;
    padding: 3px 20px;
    clear: both;
    font-weight: 400;
    line-height: 1.42857143;
    color: #333;
    white-space: nowrap;
  }

  .dropdown-menu > .active > a, .dropdown-menu > .active > a:hover, .dropdown-menu > .active > a:focus{
    background-color: #337ab7 !important;
  }
}

.text-left{
  text-align: left !important;
}
.text-right{
  text-align: right !important;
}
.text-center{
  text-align: center !important;
}

autocomplete-select {
  outline: none !important;
}

$is_sms_color:#4c8807;


.form-horizontal{

    .form-group{
      float: left;
      margin-left: 0px;
      width: 100%;
    }

    .error-style::after{
      margin-bottom: 2px;
    }

}

/*
sms-icon
*/
.sms-icon{
    i{
      margin: 0 !important;
    }
    &.is-sms{
      cursor: pointer;
      color: $is_sms_color;
    }
}

.alerts-bar-wrap{
  padding: 5px 14px;
}

.list-role{
  li{
    display: block;
    padding: 10px;
    background: #f8f8f8;
    border-bottom: 1px solid #ccc;
    .badge{
      background-color: #2196f3;
      float: right;
      }
      .group-setting-list{
        right: 38px;
        float: right;
        display: none;
        span{
          margin-right: 10px;
        }
      }
  }
  li:hover{
    .group-setting-list{
      display: block;
    }
  }

}
.page-role{
  .btn-group{
    float: right;
  }
  .left{
    .form-group{
      label{
        padding-left: 20px;
      }
    }
  }
  .right {
    .btn-group{
      button{
        line-height: normal;
      }
    }
  }
  
}
.list-group-permission{
  .list-permisisons{
    margin-bottom: 0;
    li{
      .ui-checkbox{
        input[type="checkbox"]{
         display: none;
        }
        input[type="checkbox"] + span{
          display: block;
          cursor: pointer;
        }
        input[type="checkbox"] + span::before{
          content: "\2714";
          border: 0.1em solid #000;
          border-radius: 0.2em;
          display: inline-block;
          width: 1.5em;
          height: 1.5em;
          padding-bottom: 0.3em;
          padding-left: 0.2em;
          margin-right: 0.5em;
          color: transparent;
          transition: .2s;
         }
         input[type="checkbox"] + span:active::before{
           transform: scale(0);
         }
         input[type="checkbox"]:checked + span::before{
           background-color: mediumseagreen;
           border-color: mediumseagreen;
           color: #fff;

         }
       
      }
    }
  }
  
}
.page-role{
  .panel-heading{
    color: #333333 !important;
    background: #fff !important;
  }
}
.list-group-permission{
  border: 1px solid #e4e4e4;
  padding: 20px 10px 10px;
  margin-bottom: 20px;
  position: relative;
  padding-top: 0;
  h4{
    display: block;
    padding: 10px;
    
  }
  .h5{
    position: absolute;
    top: -25px;
    font-weight: 700;
    background: #fff;
    padding: 5px 20px;
    input[type="checkbox"]{
      display: none;
     }
     input[type="checkbox"] + span{
       display: block;
       cursor: pointer;
     }
     input[type="checkbox"] + span::before{
       content: "\2714";
       border: 0.1em solid #000;
       border-radius: 0.2em;
       display: inline-block;
       width: 1.5em;
       height: 1.5em;
       padding-bottom: 0.3em;
       padding-left: 0.2em;
       margin-right: 0.5em;
       color: transparent;
       transition: .2s;
       background-color: #dc3545;
       border-color: #dc3545;
      }
      input[type="checkbox"] + span:active::before{
        transform: scale(0);
      }
      input[type="checkbox"]:checked + span::before{
        background-color: #2196f3;
        border-color: #2196f3;
        color: #fff;

      }
  }
}

.left{
  float: left;
}

.right{
  float: right;
  line-height: unset;
}

.list-permisisons{
  li{
    padding: 5px;
    
  }
}
.list-group-permission{
  .list-permisisons{
    .ui-checkbox{
      display: inline-block;
    }
    .group-setting-list{
      display: none;
      float: right;
      .group-setting-list{
        span{
          margin-left: 5px;
        }
      }
    }
    li:hover{
      .group-setting-list{
        display: block;
      }
    }
  }
}
#PermissionsForm{
  .right{
    padding: 15px;
  }
  .mt20{
    float: left;
    font-size: 30px;
    span{
      padding: 5px;
    }
  }
  .btn-group:hover{
    background-color: #fff !important;
    color: #325da7 !important;
  }
}
@media (max-width: 768px ){

  .griditem{
    width: 100%;
    .row {
      width: 100%;
      display: block;
      > div{
        width: 50% !important;
        margin: 0;
        border: 1px solid #ccc !important;
        float: left;
      }
    }
  }


}


@media (max-width: 600px ){

  .griditem{
    .row {
      > div{
        width: 100% !important;
      }
    }
  }

  .nav-tabs > li {
    margin-bottom: 4px;
  }


}
